Skip to main content
PATCH
Update Pool

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

pool_id
string<uuid>
required

Body

application/json

Schema for updating a pool

name
string | null
Required string length: 1 - 255
description
string | null
pool_parameters
Pool Parameters · object | null

Pool-level input values. Provide empty dict {} to clear all.

pool_sensitive_parameters
Pool Sensitive Parameters · object | null

Pool-level sensitive input values (will be stored in Basis Theory). Provide empty dict {} to clear all.

Response

Successful Response

Pool response schema

name
string
required
Required string length: 1 - 255
id
string<uuid>
required
organization_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
pool_parameters
Pool Parameters · object | null

Pool-level input values that auto-populate runs selecting this pool

pool_sensitive_parameters
Pool Sensitive Parameters · object | null

Pool-level sensitive input aliases (stored in Basis Theory)

machine_count
integer | null
default:0

Number of machines in this pool